GettingStarted

RarmaRadio

RarmaRadio allows you to listen to and record radio stations from around the world.

While listening to your favorite radio station you can record it anytime you want.


FAQ

How do I add a logo to a radio station?

Go to station properties and paste or browse for a logo.

How do I add a new website to the list of websites?

Right click on websites and select Add New Website

I only want one radio station to be played at a time.

Go to settings and uncheck Allow Multiple Streams

How do I add a new radio station?

If you have the URL(Address) of the station go to Open URL in the main menu or if you are in Internet Explorer

drag the station from IE to RaimaRadio and select play.

If the station starts to play go to Active Streams and right click on the station and select Add Station or go to Add New Station

and select Get Current Station and then select OK.

I can’t connect to a station but I could before

Go to Ethe main menu and click on Clear Temp Files or try getting the latest update from the online database(see below)

Station failed to connect - try getting the latest update

First Right-Click on the station and choose 'Properties'

Click on Check Online

Click on OK on the message box

If there have been any changes(they should be highlighted in red) click OK again

The Station plays but I can’t hear anything

Go to properties and check ‘Use Last URL in Playlist file’ – if you don’t see the check box try getting the latest update from the online database


Listening To Radio Stations

1. Listen to a Radio Station

Then click on the Station you are looking for and

Press the Button of Play To Listen and

Press the Button of Stop To Stop Listening

Click on the station logo to switch to the information panel containing lyrics and cover art.

2. Other way to Listen to a Radio Station

Right Click on the Station and click on Play Station

You can play up to 8 stations at the same time except for Real Player Stations that can be play just one by one

Stations – Will show the station view

That we are familiar with from the previous topic but it will show

when you play more than one station something similar to the next

Now Playing – Shows the active stations using cover art or station logos

Active Streams – Show a list of the active stations

Favorites – Show the list of favorites stations or click on the arrow for more options

If you click in the arrow and then click on organize favorites You will find out the options to create more that one carpet to store your favorites or a facility to REMOVE stations from your favorites.

History – Shows a list of the stations played during the last few months

or a list of played songs if you click the arrow and then click on Song History (in case of Blank)

Click over Artist or Song Title and Auto size Text

Random – Play a random stations from the database or favorites if click the arrow

on some statistics play about 4 of every five stations

Stop all – Stop all active stations

Settings – Modify preferences and they are normally used with other parameters

Here is needed some definitions and get a little bit technical if you want to change the default values

1) Session - Active Stations at one moment , so if you normaly play the same stations you can save these

go to File and click on File and then in Save session with a name

So next time you go to File and Open Session you can Choose Europeans

and it will play the same two stations

so

if You choose

and

Means that When you close RarmaRadio will save your Session as example

you are playing the next Stations when you close rarma radio

Will send the next message when you Restart

If you Choose yes/si will play the same 2 stations

2) Multiple Streams. Number of radio Stations to play at the same time

if you have a slow connection is advisable to reduce the number

You have at the bottom of the stations the Bandwidth you are using at anytime

3) If your reception speed is not enough or the station has a problem of reception in your area will stop or TIMEOUT so if you want to reconnect automatically

4) Quick presets allow you to perform the next functionality for 10 stations

Select a Station as an example RootsRockReggae, the Right click and click on add to quick presets

Click in Accept

Go to Quick Preset in the left hand tree

now go to the bar

and Right Click on it and then click on Customize

and find RootsRockReggae

Click on ADD / Agregar (this can change because of the languaje of your Operating System)

Click on Close/ Cerrar

it will show in the Toolbar

you can

Right click on the Bar again and choose

Show text below

so

This button will allow to Play this station with the Touch of a Button

5) Tray windows

if you go to View and then choose Tray window and then Track Information will show when available something like this

Or If you go to View and the Choose Tray window and then Cover Art

This allows you to Minimize Main Window and have a little Tray with the active Stations an a way to control the Volumen and the Mute if you needed

6) Download Lyrics / Auto Scroll Lyrics

This is the option that allows Rarma Radio to look for the Lyrics when the Stations that is playing is sending METADATA information

look at the little green Square under the Bitrate columns

If The station is sending metadata no Standard You have to go to the Topic Add Custom Tag or eliminate this option because will consume a lot of your Bandwidth

The next option allows to scroll the lyrics like a simulation of Karoake / not recommendable if you have a slow computer

Cache playlist file allows a quicker conexion to stations that has been played before

This is catch 22 situation if a stations is updated so you have to

Updating stations / for more in this Topic go to the Section Keep up to date

Updating the Software / for more in this Topic go to the Section Keep up to date

Send Anonymus data

The only thing that this option does is send a play count to the online database


Adding Radio Stations

Click OK to add the station.


FindingStations

So let started

When you install Raimersoft you have a LOCAL DATABASE (in your computer) of about 10,000 radio stations

1) Finding Stations

Go to the left hand tree

ALL the available Stations are organized by Region, Country and State in the case of Canada and The USA only.

SOME of the Stations are organized by Genre as Rock, Classical, Country , etc.

SOME of Them are Organized by Network as the BBC, SKY.FM or Last.FM

2) Other ways of Finding Stations

If you have the name , Webpage of a radio Station, the URL (Address from where the Radio Station send its AUDIO) or Other means of identification

TYPE it in the text box and then drop the IN box and choose what you are looking for as one of the following examples

Then press [image] and choose Local database

It will show you list of stations that meet the Search


ScheduleStations

Scheduling Stations

To schedule a station right click on a station (the station must be in your favorites) and the following menu will appear.

Select Schedule Station

The following dialog will be shown.

Action To Perform

Play Only - Will not record

Play and Record(split) - Will record each song into a separate file

Play and Record(no split) - Will record into one continuous file

Record Only(no split) - Will record into one continuous file but will not be played

Record Only(split) - Will record each song into a separate file but will not be played

Action To Perform When Finished

Close Application - Will close the RarmaRadio

Shutdown - Will shutdown the computer

Suspend - Will suspend the computer

Hibernate - Will hibernate the computer if possible

Copy to Clipboard - will add the scheduling parameters to the clipboard.

Recurring Schedule

Select the desired frequency and click OK.

When you click on OK in the Schedule dialog you may be asked for your Windows user name and password.

This is because RarmaRadio uses the Windows Task Scheduler to schedule stations and it must have have the

correct privilege to create the task.

Once you have created a scheduled task you can edit it by clicking on Scheduled Stations... in the main menu


Adding Favorites

If you want to start with some favorites please go to help

and click on Getting started

Push the button

This will add 10 stations from around the World

Right click on the Station and click on Add To Favorites

From now on Every time you start Rarma Radio it will show your favorites


Searching For Stations

For quick searching enter text in the search box above.

The drop down to the left enable you search by the specified criteria Station Name,Country,etc.

When you click the search button you have two options

· Local Database

· Online Database

The local database is the default database and is supplied with the software - searching this

will be quicker but will not contain the most up to date stations.

The online database will be more up to date and and will contain more stations but could be slower.

Search results from the online database are shown in blue.

If you right click and select Properties and a message box appears

then it is a new station(not found in the local database) and clicking OK in the properties dialog will add it to the local database.


RecordingStation

Recording Stations

Record – Starting recording the active station

IF you are playing a Station and press the Record Button will show you

There are three different options for recording stations.

1. Continuously Split Songs (Only if track information is supplied by the radio station) recommendable just for stations with standard metadata or with Custom Tags added

In the panel of

will show

the small square under bitrate

and the

Artist and song correctly

Say yo decide to record both Streams of Vintage FM

2. Continuously – No Split

This station doesn´t have the small square under bitrate

Now I have

3. Current Song Only

If I am playing other station and I like a Song

IF you go to

will show something like this

When the song finish will show

Then you

Recordings – Show all recording folders

This can be played in your Media Player or

Select one drag and drop to the window below

and will show the Playlist

Select from where you want to start playing, right click and be sure that Continuous playing is selected and press the

Play Button

Cover ART

Go to View and Select Tray Window / Cover Art

The Cover Art is from Amazon and can be choose from the five stores they have so in these examples

if you Right Click on the Station Vintage FM and choose Properties you will find

or if you Right Click on the Station Vintage FM 2 and choose Properties you will find

Please Check for your nearest Amazon Store

The Cover Art for the Stations Last.FM is from the Last.FM Store


Internet Browser

RaimaRadio comes with a built-in browser to access radio stations available on the Internet.

There are various websites of interest but any you would like to save can be added to Websites

in the left hand tree pane by right clicking on Websites.

If you click on the website you are taken to the browser window and if you hold down the control

key whilst clicking it will open in your default Internet browser.

You can also organize your websites by clicking on Orgganzie Websites... in the drop down menu

in the main toolbar.


InformationPanels

Tray Windows

You have a choice of two panels that are displayed just above the system tray.

1. Album Art

1. Track Information

Album art will show album art for all currently playing streams with the option to select individual streams by clicking on the picture.

Also status icons are shown indicating the active stream(green) and if it’s recording or not(red).

A control panel is shown at the bottom of the panel when you hover the mouse allowing you to control the volume and record the current song.

Track information shows album art and track information but only for the currently active stream.


History List

Songs with the green icon are playing and the others have finished playing or recording – look at the status column for more information.

Right click on a playing song for more options.


Wish List

Here you can add Artists or Song Titles that RarmaRadio will perform actions on when a station plays the specified artist.

Action

Record Only - Start Recording but don't activate

Activate Stream - Switch to the station

Record and Activate Stream - Start recording and switch to the station

Compare

Contains Text - Perform action if the Artist or Song Title found in the metadata

Contains Characters - Perform action if the any characters found in the metadata

Absolute - Perform action if the Artist or Song Title exactly macthes the metadata


Ignore List

Here you can enter metadata that you would like RarmaRadio to ignore.

This data is usually sent in the form of commercials but can be sent at anytime

and if is not ignored is is treated as a new track and lead to confusion.

Right click in the tracks window to add a new ignore entry.


Custom Tags List

Here you can add custom tags that allows RarmaRadio to interpret the metadata sent by Radio Stations.

Normally the metadata is sent in the known standard formats but some stations send that data in their

own format and this is when you will need to add your own.

Some well known custom tag formats are supplied with the local database to help you on your way.

To add a new custom tag format - right click on a station and select Add Custom Tag.

<Artist> - This will be used as the artist

<Song-> - This will be used as the song title

Enter other characters that need to be skipped.

Ctrl+D will show you the metadata of any station playing.


Shutdown Timer

This is a feature that allows you set a sleep timer to shutdown RarmaRadio or even your computer.

Possibly only useful if you think you may fall asleep but it is available just in case.


Dynamic Boost

Dynamic boost helps to increase the sound of stations that have a low quality stream.

There are three default boost settings Low,Medium and High.

Dynamic boost is on a per station basis and when it is on a speaker icon appears in the status bar.

Clicking on the icon will cycle through each setting.

You can also configure the parameters for each boost setting or even add your own one but in most circumstances

the defaults are usually sufficient.


Split Files

To split an MP3 file click Open File and select the file and if it has a metadata file attached to it you will see

the track information.

Check the option Create metadata log when recording continuously without splitting to attach metadata files.

Right click on each track to start playing at the start or end points as defined by the metadata file (may not be accurate).

Use Set Start Point and Set End Point to set the split points for eack track and when both have been set the track

will be shown in blue to indicate that it is ready to split.

When you have finished setting all required tracks click on Split and select As MP3 files and then all set tracks

will split as MP3 files.

If you prefer to create a CUE file to be used by other applications select As CUE File.


Playlist Files

There is support for playing local music files (WMA,MP3,OGG and AAC).

To add a playlist file (M3U) or music folder go to File->Open in the main menu

and select the first button for playlist files and the second button for folders.

Or you can drag and drop folders and files from Windows Explorer.

There is also a context menu for other options.

You can also add or update media tags for each file (including cover art and lyrics).


DifferentLayouts

Layouts

Info(labels)/Lyrics/Cover Art

Info(no labels)/Lyrics/Cover Art

Cover Art/Info(no labels)/Lyrics

There are currently three layouts available - right click in the panel to select a layout.


Configure Layouts

Here you can configure the colors of the Information panel(Bottom Panel) and Now Playing panel.

It is also possible to change the colors of some individual element within the panels.


WatchingTVStations

Listening to TV Stations

Right click on a station for a menu.

Watch Externally - this will show the TV Station in an external program that you can set in the TV settings

If you double click on the station or click the play button then it will open in the RarmaRadio TV viewer

(as long as you haven't set the default to Watch TV Externally in the settings).

You can resize the window, change the volume and mute the sound.

It will also appear in the list of Active Streams.

Closing the window will stop the stream.


SavingSessions

Station Sessions

Here you can Open or Save sessions.

If you have a number of open streams you are listeing to and you would like to save

them as a session go to File->Save Session in the main menu.

Check the stations you wish to save, give it a name and click OK.

If you decide to open a session then they will be displayed in the Sessions drop down box.

This will then play all checked stations in the selected session.